Virtualization Manager 2020.2 System Requirements

Release date: June 4, 2020

These system requirements define the minimum requirements for VMAN 2020.2 and its integration with the Orion Platform as a single installed product. For further deployment and scaling information, see the SolarWinds Virtualization Manager Deployment Guide.

If you are adding VMAN to an existing Orion Platform with multiple Orion Platform products, see the Multi-module system guidelines.

VMAN and the Orion Platform system requirements

Review the following requirements for Virtualization Manager in the Orion Platform. Install Virtualization Manager with the Orion Installer.

Before you install or upgrade VMAN with the Orion Installer, make sure the Orion Platform server meets the following requirements.

See Orion Platform requirements for a more detailed look at the basic requirements needed for Orion Platform products, including detailed database server requirements.

Do not install Orion Platform products on the same server as SolarWinds Access Rights Manager (ARM).

Software or Hardware Requirement
Operating System

Windows Server 2019

Windows Server 2016

Windows Server 2012 R2

If you need to update your Orion server's version of Windows Server or SQL Server, see the migration guide for Orion Platform products.

For evaluation only:

Windows 10

Windows 8.1 Update 1 (except Standard edition)

Windows 8.1 (except Standard edition)

CPU 3.0 GHz
Memory

8 GB

Recommendations also requires an additional 8 GB.

HDD

20 GB (up to 3000 virtual machines)

30 GB (up to 6000 virtual machines)

40 GB (up to 10 000 virtual machines)

If you have more than 10000 virtual machines, SolarWinds recommends adding an APE with the same specifications as the Main Polling Engine for each 10000 VMs.

.NET Framework

.NET 4.8

VMAN downloads and installs the latest required version of the .NET Framework, if it is missing. Save time during the VMAN installation by installing .NET Framework beforehand.

SQL Server

SQL Server 2019

SQL Server 2017

SQL Server 2016 SP1

SQL Server 2016

SQL Server 2014 SP1

SQL Server 2014

SQL Server 2012

SQL Server Express

SolarWinds recommends using SQL Server Express only in evaluations. However, if used in a production environment, consider the following:

  • Recommended VMAN license tier: VMS192 or smaller. For more information about VMAN license tiers, see Virtualization Manager Licensing Model.
  • Turn off VMAN Recommendations on larger environments. VMAN Recommendations requires extensive database querying.
  • SQL Server Express databases are limited to 10 GB in size. For reference, a fully licensed instance of VMAN, 100 VMs with 1 year worth of data consumes approximately 250MB worth of data.
  • VMware Events monitoring is limited with SQL Server Express depending on the amount of data collected. For example, for collecting 1000 Events Per Second (EPS), only 2-3 hours of data can be saved. Or for 7 days of retention, only 15 EPS on average can be collected.

Azure SQL Database - see here for detailed Azure SQL Database requirements.

If you're also installing the Orion Log Viewer to enable VMware Events Monitoring functionality, your database must be upgraded to SQL Server 2016 SP1 or newer with full text search configured.

If you need to update your Orion server's version of Windows Server or SQL Server, see the migration guide for Orion Platform products.

See Orion Platform database requirements for more detailed database requirements.

Browser

Microsoft Edge

Mozilla Firefox two latest versions

Google Chrome two latest versions

In VMAN 2020.2 and later, some pages are not compatible with IE11. If you are using IE11, you will see a warning message on incompatible pages. SolarWinds recommends using a different browser (such as Chrome, Firefox, or Microsoft Edge) for the best user experience with VMAN.

VMAN Orion port requirements

VMAN requires the basic server port requirements needed for the Orion server. See Orion Platform server port requirements for more details.

In addition, VMAN requires port 17799 (Inbound and outbound) to support Container service monitoring in order to communicate with container orchestrators.

VMAN appliance system requirements

The following information is valid for existing VMAN installations using the VMAN appliance.

As of VMAN 8.0, VMAN is now part of the Orion Platform out of the box. The appliance is no longer required for VMAN installations. New users do not need to install the VMAN appliance. Existing users who use the appliance can choose to retire the appliance or continue using the appliance by upgrading it separately, then integrating it with the Orion Platform. See the Upgrade Guide for detailed instructions.

If you're using the VMAN appliance, the appliance must be installed on a VM that meets the following requirements:

Software or Hardware Requirement
Virtualization software

VMware vSphere 5.x or later

VMware ESXi 5.x or later, managed or unmanaged hosts

VMware vCenter 6.5

VMware vCenter Server Appliance (vCSA) 6.5

 

Microsoft Hyper-V Server 2012

Microsoft Hyper-V Server 2012 R2

Microsoft Hyper-V Server 2016

Virtualization Manager only supports the default, English localization of Hyper-V.

CPU 2 GHz quad-core
Virtual CPUs

4 vCPUs

Memory

8 GB or more.

Review the following scaling memory recommendations based on monitored ESX hosts and VMs:

Number of ESX Hosts Number of VMs Memory
100 1000 8 GB
125 1250 10 GB
150 1500 12 GB
175 1750 14 GB
200 2000 16 GB
> 200 > 2000 Contact Support

 

Disk space

200 GB or more recommended.

At the default collection interval, a virtualized environment containing 1000 VMs and 100 hosts requires 40 GB of storage during the first month, and an additional 60 GB of storage over the next five years.

To estimate the disk space requirements over time, download the SolarWinds Virtualization Manager Storage Calculator.

Virtual NIC

1 Gigabit vNIC

VMAN appliance port requirements

The following ports are required for the VMAN appliance.

As of VMAN 8.0, VMAN is now part of the Orion Platform out of the box. The appliance is no longer required for VMAN installations. New users do not need to install the VMAN appliance. Existing users who use the appliance can choose to retire the appliance or continue using the appliance by upgrading it separately, then integrating it with the Orion Platform. See the Upgrade Guide for detailed instructions.

If you use a federated collector as a proxy, see the SolarWinds Virtualization Manager Administrator Guide for port requirements.

Inbound ports on the master appliance:

Inbound port Usage
443 or 80 Performing auto-upgrade or version upgrade on federated collectors, if federated collectors are configured.
8983 Access from federated collectors to the master appliance during initial setup.
443 HTTPS access to the VMAN user interface.
5480 HTTPS access to the Management Console.
61616 Active MQ master-collector communication.
22 SSH access to the virtual appliance.

Outbound ports on the master appliance:

Outbound port Usage
162 Sending SNMP traps.
25 Sending emails through SMTP.
389 Active Directory authentication.
3268 LDAP authentication.
17778

Communication with the SolarWinds Orion server if the integration with Orion is enabled.

If you use Virtualization Manager integrated with NPM or SAM in an environment with multiple polling engines and federated collectors, open TCP port 17778 from the primary collector to every polling engine that is used to poll virtualization data.

123 Using the NTP service.

Plan for an evaluation installation

The evaluation version of VMAN is a full version of the product, functional for 30 days. After the evaluation period, you can easily convert your evaluation license to a production license by obtaining and applying a license key. The VMAN license supports the integration with the Orion Platform.

Installing the evaluation version requires the same requirements, installation steps, and configurations as the full licensed version:

  • The VMAN evaluation can be integrated with an existing Orion Platform environment
  • The existing environment must have a full or evaluation version of Network Performance Monitor (NPM), Sever & Application Monitor (SAM), or Network Configuration Manager (NCM) installed
  • Create or modify accounts and permissions as required for VMAN
  • For evaluations only, you can install on systems with the following OS versions:
Evaluation and production environments Evaluation environments only

Windows Server 2019

Windows Server 2016

Windows Server 2012 R2

Windows 8.1 (except Standard edition)

Windows 8.1 Update 1 (except Standard edition)

Windows 10